package zone

type ListZones struct {
	// Entry count
	EntryCount uint64 `json:"entryCount"`

	// Data
	Data []RecordZone `json:"data"`
}

// Detailed information about the zone record
type RecordZone struct {
	// ID
	ID uint64 `json:"id"`

	// GUID
	GUID uint64 `json:"guid"`

	// GID
	GID uint64 `json:"gid"`

	// Name
	Name string `json:"name"`

	// Description
	Description string `json:"description"`

	// Deletable flag
	Deletable bool `json:"deletable"`

	// Status
	Status string `json:"status"`

	// Created timestamp
	CreatedTime uint64 `json:"createdTime"`

	// Updated timestamp
	UpdatedTime uint64 `json:"updatedTime"`

	// List of associated Node IDs
	NodeIDs []uint64 `json:"nodeIds"`
}
